data diagnosis(drop=alpha a);
area=0.72;
prop_pos=0.6;
alpha=0.05;
delta=0.1;
a=probit(area)*1.414;
n_pos=ceil((probit(1-alpha/2)**2*(0.0099*exp(-(a**2/2))*((5*a**2+8)+(a**2+8)/((1-prop_pos)/prop_pos)))/(delta)**2));
n_total=ceil(n_pos/prop_pos);
label area="ROC曲线下面积";
label sen="灵敏度";
label delta="精确度";
label prop_pos="患病的比例";
label n_pos="患病数";
label n_total="总例数";
proc print label noobs;
run;
